/* BOTON DE PAGO GENERAR COMPROBANTE */
#botonpago_pagar_generar {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #6685a4;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/tilde_32.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

.btnPagoGral {
    min-height: 135px;
    width: calc(31.33%) !important;
    float: left;
    margin: 1%;
    border-radius: 1rem;
    border: 1px solid #CCC;
    padding: 60px 10px 10px 10px ;
    background-color: #FFF;
    background-position: center 20px;
    background-repeat: no-repeat;
    background-size: 40px 40px;
    color: #666666;
    font-size: 16px;
    line-height: 16px;
    font-weight: 500;
    text-decoration: none !important;
    display: inline-flex;
    align-items: center;
    box-sizing: border-box;

    flex-direction: column !important;
    justify-content: center !important;

}
.btnPagoGral:hover {
    color: #FFF;
}

.btnPagoGral .small {
    font-size: 0.72em;
    font-weight: normal;
    opacity: 0.85;
    display: inline-block;
    margin-top: 3px;
}


.reimprimir_boleta {
    width: 20px !important;
    border-radius: 100%;
    height: 20px !important;
    overflow: hidden;
    float: left;
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url("../img/botonPago/btnpago_imprimir.png");
    background-size: 25px 25px;
    border: 1px solid #ee8b29;
}



/* BOTON DE PAGO HELIPAGOS */
#botonpago_pagar_helipagos_v2 { background-image: url("../img/botonPago/btnpago_helipagos.png"); }
#botonpago_pagar_helipagos_v2:hover { background-color: #004aea; }


/* BOTON DE PAGO IMPRIMIR COMPROBANTE */
.imprimir_boletas { background-image: url("../img/botonPago/btnpago_imprimir.png"); }
.imprimir_boletas:hover { background-color: #ee8b29; }


/* BOTON DE PAGO BILLETERA VIRTUAL */
#botonpago_pagar_qr_v2 { background-image: url("../img/botonPago/btnpago_qr.png"); }
#botonpago_pagar_qr_v2:hover {  background-color: #ec1e79; }

/* BOTON DE PAGO MACRO CLICK */
#botonpago_pagar_boletas_v2 { background-image: url("../img/botonPago/btnpago_macro.png"); }
#botonpago_pagar_boletas_v2:hover { background-color: #002E55;  }

/* BOTON DE PAGO 360 */
#botonpago_pagar_360_v2 { background-image: url("../img/botonPago/btnpago_pago360.png"); }
#botonpago_pagar_360_v2:hover {  background-color: #007BF5;  }

/* BOTON DE PAGO INTERBANKING */
#botonpago_pagar_interbanking_v2 { background-image: url("../img/botonPago/btnpago_interbanking.png"); }
#botonpago_pagar_interbanking_v2:hover {  background-color: #A421F9;  }

/* BOTON DE PAGO PAGO MIS CUENTAS */
#botonpago_pagar_pmc_v2 { background-image: url("../img/botonPago/btnpago_pmc.png"); }
#botonpago_pagar_pmc_v2:hover {  background-color: #0081ab;  }

/* BOTON DE PAGO REDLINK */
#botonpago_pagar_redlink_v2 { background-image: url("../img/botonPago/btnpago_redlink.png"); }
#botonpago_pagar_redlink_v2:hover {  background-color: #097752;  }


/* BOTON DE PAGO MP  */
#botonpago_pagar_mp_v2 { background-image: url("../img/botonPago/btnpago_mp.png"); }
#botonpago_pagar_mp_v2:hover {  background-color: #0297cc;  }

/* Luis 08 Junio 26 - Agregado para permitir Doble Linea en los Botones*/
/* 1. Agrupamos TODOS tus IDs para darles la misma altura y centrado */
#botonpago_pagar_qr,
#botonpago_pagar_boletas,
#botonpago_pagar_360,
#botonpago_pagar_interbanking,
#botonpago_pagar_pmc,
#botonpago_pagar_redlink,
#botonpago_pagar_helipagos,
#botonpago_pagar_mp {
    width: 230px !important;     /* <--- FORZAMOS EL ANCHO ESTÁNDAR PARA ESTOS */
    height: 50px;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    box-sizing: border-box;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

/* Luis 08 Junio 26 - Agregado para permitir Doble Linea en los Botones*/
/* 2. Clase genérica para CUALQUIER botón que use dos líneas de texto */
.botonpago_doble_linea {
    flex-direction: column !important;
    justify-content: center !important;
    align-items: flex-start !important;
}

/* BOTONERA DE PAGO - DATOS SOLICITANTE */
#botonpago_pagar_contribuyente_contenedor input {
    color: #000000 !important;
}

/* BOTONERA DE PAGO - DATOS SOLICITANTE */
#botonpago_pagar_contribuyente_contenedor input:focus {
    color: #000000 !important;
    font-weight: 700 !important;
}

.formPagoContribuyente {
    padding-bottom: 25px !important;
    border-bottom: 1px solid #bebebe;
}
.formPagoContribuyente input{
    width: 98%;
    height: auto;
    min-height: 20px;
    padding: 15px 2%;
    line-height: 20px;
    font-size: 14px;
    font-family: 'Open Sans', 'Trebuchet MS', arial, sans-serif;
    background-color: #FFF;
    border-radius: .7rem;
    border: 1px solid #CCC;
}

.formPagoContribuyente select{
    width: 98%;
    height: 52px !important;
    padding: 0px 2%;
    line-height: 20px;
    font-size: 14px;
    font-family: 'Open Sans', 'Trebuchet MS', arial, sans-serif;
    background-color: #FFF;
    border-radius: .7rem;
    border: 1px solid #CCC;
}
